cd ""


use "Master_GfK_2015_Qualtrics_2016", clear



keep  cid sex age Q_* education weight

gen higheduc=1 if educ==5 | educ==4
replace higheduc=0 if educ!=. & higheduc!=1
label variable higheduc "Higher education"

drop education

rename sex gender
rename cid country
rename weight WEIGHT


label define c 1 "Australia [1]" 2 "Brazil [2]" 3 "Canada [3]" 4 "China [4]" 5 "Japan [5]" 6 "Russia [6]" 7 "South Africa [7]" 8 "South Korea [8]" 9 "Denmark [9]" 10 "France [10]" 11 "Germany [11]" 12 "Hungary [12]" 13 "Italy [13]" 14 "United Kingdom [14]" 15 "USA [15]" 16 "Belgium [16]"
label values country c

rename country id


forvalues i=1(1)15 {

	rename Q_`i' N`i'
	
	}
	

 
 
 gen t=1
 
 append using Master_Qualtrics2018+Flemish, keep(country gender age yos N* WEIGHT) force
 
 
 replace id=9 if country==3
 replace id=11 if country==2
 replace id=8 if country==4
 
 replace id=15 if country==1
 replace id=16 if country==5

drop country
rename id country

replace country=country+1 if country>1
replace country=2 if country==17

label define c1  1 "Australia [1]" 2 "Belgium [2]"  3 "Brazil [3]" 4 "Canada [4]" 5 "China [5]" 6 "Japan [6]" 7 "Russia [7]" 8 "South Africa [8]" ///
9 "South Korea [9]" 10 "Denmark [10]" 11 "France [11]" 12 "Germany [12]" 13 "Hungary [13]" 14 "Italy [14]" 15 "United Kingdom [15]" 16 "USA [16]" 

label values country c1

replace WEIGHT=WEIGHT/2 if country==12 | country==16 | country==10 | country==9 
replace WEIGHT=1 if country==2
replace t=2 if t==.
replace higheduc=1 if t==2 & yos>12
replace higheduc=0 if t==2 & yos<13


*****Start with descriptives and regressions
gen N= (N1 +N2 +N3+ N4 +N5+ N6+ N7+ N8 +N9+ N10+ N11+ N12 +N13+ N14+ N15)/15   // Create Nudge Cluster; overall approval
gen NC1=(N6 + N7 + N12)/3
gen NC2=(N1+N10+N2)/3
gen NC3=(N3+N13+N9+N11+N5+N4)/6
gen NC4=(N8)
gen NC5=(N14+N15)/2



 glo des country gender age higheduc  N1 N2 N3 N4 N5 N6 N7 N8 N9 N10 N11 N12 N13 N14 N15 N NC1 NC2 NC3 NC4 NC5 


 makematrix m1, from(r(N) r(mean) r(sd)) vector: sum $des 
 
 xml_tab m1 , save("des.xml") replace
 

 
foreach i in "N" "NC1" "NC2" "NC3" "NC4" "NC5" {

	qui reg `i' i.gender age i.higheduc i.country i.t [pweight=WEIGHT], vce(robust)
	est store r_`i'
	}
	

esttab r_N r_NC1 r_NC2 r_NC3 r_NC4 r_NC5 using OLS.rtf , ar2(3) se(3) star(* 0.1 ** 0.05 *** 0.01) b(%6.4f) nogaps replace varwidth(20) ///
drop (0.higheduc 0.gender 1.country ) ///
nodep coeflabels(2.country "Belgium" 3.country "Brazil" 4.country "Canada" 5.country "China" 6.country "Japan" 7.country "Russia" 8.country "South Africa" 9.country "South Korea" 10.country "Denmark" 11.country "France" 12.country "Germany" ///
13.country "Hungary" 14.country "Italy" 15.country "United Kingdom" 16.country "USA" ///
1.gender "Male" 1.higheduc "Higher education" 1.t "2015/2016" 2.t "2017/2018") ///
mtitle () ///
title()   ///
nonote note("Regressions use sample weights. Robust standard errors in parentheses. * p < 0.1, ** p < 0.05, *** p < 0.01." ) 



foreach i in "N1" "N2" "N3" "N4" "N5" "N6" "N7" "N8" "N9" "N10" "N11" "N12" "N13" "N14" "N15" {

	qui logit `i' i.gender age i.higheduc i.country i.t [pweight=WEIGHT], vce(robust)
	est store r_`i'
	
	}
	

esttab r_N6 r_N7 r_N12 using Logit_Gov.rtf , ar2(3) se(3) star(* 0.1 ** 0.05 *** 0.01) b(%6.4f) nogaps replace varwidth(20) ///
drop (0.higheduc 0.gender 1.country 1.t ) ///
nodep coeflabels(2.country "Belgium" 3.country "Brazil" 4.country "Canada" 5.country "China" 6.country "Japan" 7.country "Russia" 8.country "South Africa" 9.country "South Korea" 10.country "Denmark" 11.country "France" 12.country "Germany" ///
13.country "Hungary" 14.country "Italy" 15.country "United Kingdom" 16.country "USA" ///
1.gender "Male" 1.higheduc "Higher education" 1.t "2015/2016" 2.t "2017/2018") ///
mtitle () ///
title()   ///
nonote note("Regressions use sample weights. Robust standard errors in parentheses. * p < 0.1, ** p < 0.05, *** p < 0.01." ) 	

esttab  r_N1 r_N2 r_N10 using Logit_Info_gov.rtf , ar2(3) se(3) star(* 0.1 ** 0.05 *** 0.01) b(%6.4f) nogaps replace varwidth(20) ///
drop (0.higheduc 0.gender 1.country 1.t) ///
nodep coeflabels(2.country "Belgium" 3.country "Brazil" 4.country "Canada" 5.country "China" 6.country "Japan" 7.country "Russia" 8.country "South Africa" 9.country "South Korea" 10.country "Denmark" 11.country "France" 12.country "Germany" ///
13.country "Hungary" 14.country "Italy" 15.country "United Kingdom" 16.country "USA" ///
1.gender "Male" 1.higheduc "Higher education" 1.t "2015/2016" 2.t "2017/2018") ///
mtitle () ///
title()   ///
nonote note("Regressions use sample weights. Robust standard errors in parentheses. * p < 0.1, ** p < 0.05, *** p < 0.01." ) 

esttab  r_N3 r_N4 r_N5 r_N9 r_N11 r_N13 using Logit_info_def.rtf , ar2(3) se(3) star(* 0.1 ** 0.05 *** 0.01) b(%6.4f) nogaps replace varwidth(20) ///
drop (0.higheduc 0.gender 1.country 1.t) ///
nodep coeflabels(2.country "Belgium" 3.country "Brazil" 4.country "Canada" 5.country "China" 6.country "Japan" 7.country "Russia" 8.country "South Africa" 9.country "South Korea" 10.country "Denmark" 11.country "France" 12.country "Germany" ///
13.country "Hungary" 14.country "Italy" 15.country "United Kingdom" 16.country "USA" ///
1.gender "Male" 1.higheduc "Higher education" 1.t "2015/2016" 2.t "2017/2018") ///
mtitle () ///
title()   ///
nonote note("Regressions use sample weights. Robust standard errors in parentheses. * p < 0.1, ** p < 0.05, *** p < 0.01." )

esttab  r_N8 using Logit_sub.rtf , ar2(3) se(3) star(* 0.1 ** 0.05 *** 0.01) b(%6.4f) nogaps replace varwidth(20) ///
drop (0.higheduc 0.gender 1.country 1.t) ///
nodep coeflabels(2.country "Belgium" 3.country "Brazil" 4.country "Canada" 5.country "China" 6.country "Japan" 7.country "Russia" 8.country "South Africa" 9.country "South Korea" 10.country "Denmark" 11.country "France" 12.country "Germany" ///
13.country "Hungary" 14.country "Italy" 15.country "United Kingdom" 16.country "USA" ///
1.gender "Male" 1.higheduc "Higher education" 1.t "2015/2016" 2.t "2017/2018") ///
mtitle () ///
title()   ///
nonote note("Regressions use sample weights. Robust standard errors in parentheses. * p < 0.1, ** p < 0.05, *** p < 0.01." )  

esttab  r_N14 r_N15 using Logit_oth.rtf , ar2(3) se(3) star(* 0.1 ** 0.05 *** 0.01) b(%6.4f) nogaps replace varwidth(20) ///
drop (0.higheduc 0.gender 1.country 1.t) ///
nodep coeflabels(2.country "Belgium" 3.country "Brazil" 4.country "Canada" 5.country "China" 6.country "Japan" 7.country "Russia" 8.country "South Africa" 9.country "South Korea" 10.country "Denmark" 11.country "France" 12.country "Germany" ///
13.country "Hungary" 14.country "Italy" 15.country "United Kingdom" 16.country "USA" ///
1.gender "Male" 1.higheduc "Higher education" 1.t "2015/2016" 2.t "2017/2018") ///
mtitle () ///
title()   ///
nonote note("Regressions use sample weights. Robust standard errors in parentheses. * p < 0.1, ** p < 0.05, *** p < 0.01." )  



***Cibar Figures for gender and univ

set scheme tufte
replace N=N*100


********************************************************************************
*****


bysort country: egen Nm=mean(N)

sort Nm
gen or=[_N]+1-[_n]
sort or

gen c=.

scalar i=[_N]

scalar k=1

*replace Nm=round(Nm)
	
forvalues t=2(1)`=i' {
	
	if Nm[`t']==Nm[`t'-1] {
		qui replace c=`=k' in `t'
	}
	else {
		
		scalar k=`=k'+1
		qui replace c=`=k' in `t'
	}
	
}

replace c=1 in 1


 cibar N [pweight=WEIGHT], over1(gender) over2(c) bargap(10) blgap(-40) blp(south) blsize(vsmall) baropt(fcolor(gs15)  fi(90)) barlabel(on) blorientation(vertical) gr(ytitle("Approval in Percent") xtitle("95% CI") legend(off) yscale(r(0 100)) title("Nudge approval by gender") ///
 ylabel(0 20 40 60 80 100) xlabel(,nolabel)  xmlabel(1.55 "CHN" 4.32 "BRA" 7.09 "ZA" 9.86 "KOR" 12.63 "RSA" 15.4 "ITA" 18.17  "AUS" 20.94 "CAN" 23.71 "UK" 26.48 ///
 "FRA" 29.25 "GER" 32.02 "BEL" 34.79 "USA" 37.56 "HUN" 40.33 "JPN" 43.1 "DEN"  ) ) 
 
********************************************************************************
********************************************************************************




 cibar N [pweight=WEIGHT], over1(gender) over2(country) bargap(10) blgap(-40) blp(south) blsize(vsmall) baropt(fcolor(gs15)  fi(90)) barlabel(on) blorientation(vertical) gr(ytitle("Approval in Percent") xtitle("95% CI") legend(off) yscale(r(0 100)) title("Nudge approval by gender") ///
 ylabel(0 20 40 60 80 100) xlabel(,nolabel)  xmlabel(1.55 "AUS" 4.32 "BEL" 7.09 "BRA" 9.86 "CAN" 12.63 "CHN" 15.4 "JPN" 18.17  "RSA" 20.94 "ZA" 23.71 "KOR" 26.48 ///
 "DEN" 29.25 "FRA" 32.02 "GER" 34.79 "HUN" 37.56 "ITA" 40.33 "UK" 43.1 "USA"  ) ) 
 
  cibar N [pweight=WEIGHT], over1(higheduc) over2(country) bargap(10) blgap(-40) blp(south) blsize(vsmall) baropt(fcolor(gs15)  fi(90)) barlabel(on) blorientation(vertical) gr(ytitle("Approval in Percent") xtitle("95% CI") legend(off) yscale(r(0 100)) title("Nudge approval by education") ///
 ylabel(0 20 40 60 80 100) xlabel(,nolabel)  xmlabel(1.55 "AUS" 4.32 "BEL" 7.09 "BRA" 9.86 "CAN" 12.63 "CHN" 15.4 "JPN" 18.17  "RSA" 20.94 "ZA" 23.71 "KOR" 26.48 ///
 "DEN" 29.25 "FRA" 32.02 "GER" 34.79 "HUN" 37.56 "ITA" 40.33 "UK" 43.1 "USA"  ) ) 

qui reg N i.gender age i.higheduc i.country i.t [pweight=WEIGHT], vce(robust)
 
 margins,  at(age=(0 10 20 30 40 50 60 70 80)) atmeans
 marginsplot

 set scheme tufte
 bysort age: egen amean=mean(N) 
 twoway scatter amean age

 
 
 ****Development for Korea, Ger and Den*****
 cd ""
 
 forvalues t=1(1)15 {
 
	replace N`t'=N`t'*100
	
	}
 
 
 cibar N [pweight=WEIGHT] if country==12 | country==9 | country==10 ,  over1(t) over2(country) over3(gender) bargap(10)  blgap(-40) blp(south) /// 
 blsize(vsmall) baropt(fcolor(gs15)  fi(90)) barlabel(on)  blorientation(vertical) gr(ytitle("Approval in Percent") xtitle() legend(off) yscale(r(0 100)) title("Overall nudge approval") ///
 ylabel(0 20 40 60 80 100)    xlabel(, nolabel) xmlabel(1 "K_16" 2.1 "K_18" 3.75 "D_15" 4.85 "D_18" 6.55 "G_15" 7.65 "G_18" 10.65 "K_16" 11.75 "K_18" 13.4 "D_15" 14.5 "D_18" 16.15 "G_15" 17.25 "G_18", notick) ///
 text( -7 4.3 "female" -7 13.95 "male",  width(85) ))

 
 graph export N_approval.png, width(800) height(600) replace
 
 
 
 forvalues i=1(1)15 {
 
	 qui cibar N`i' [pweight=WEIGHT] if country==12 | country==9 | country==10 ,  over1(t) over2(country) over3(gender) bargap(10) ///
	 blgap(-10) blp(south) blsize(vsmall) baropt(fcolor(gs15)  fi(90)) barlabel(on)  blorientation(vertical) gr(ytitle("Approval in Percent") xtitle() legend(off) yscale(r(0 100)) title("N`i' approval") ///
	ylabel(0 20 40 60 80 100)   xlabel(, nolabel) xmlabel(1 "K_16" 2.1 "K_18" 3.75 "D_15" 4.85 "D_18" 6.55 "G_15" 7.65 "G_18" 10.65 "K_16" 11.75 "K_18" 13.4 "D_15" 14.5 "D_18" 16.15 "G_15" 17.25 "G_18", notick)   ///
	 text( -7 4.3 "female" -7 13.95 "male",  width(85) ))

	qui  graph export N`i'_approval.png, width(800) height(600) replace
	 
	 }
